﻿local nkRWardrobeInfo, nkRWardrobe = ...

if ( nkTools.lang.getLanguage() ~= "German" and nkTools.lang.getLanguage() ~= "Russian") then
 
	nkRWardrobe.langTexts = {
			msgChoose = '- Please choose -',
			btYes = "Yes",
			btNo = "No",
			partOfSets = 'Part of set(s): ',
			roleNon = 'do not change',
			setLabel = 'set name',
			buttonMenuConfig = 'configuration',
			loadSet = 'load %s',
			saveSet = 'save %s',
			msgLoaded = "version %s loaded",
			set = 'Set %d',
			txtHeader = '%s version %s',
			btClose = 'close',
			btDonate = 'donate',
			tabHeader1 = 'Configuration',
			tabHeader2 = 'Button bar',
			tabHeader3 = 'About',
			gridHeader = 'configuration',
			fldSetName = 'Name',
			txtRole = 'Role %d',
			txtEquipment = 'Set %d',
			fldEquipment = 'Equipment set',
			fldRole = 'Role',
			fldIcon = 'Icon',
			fldRebuff = 'nkRebuff',
			slScale = 'Scaling %d%%',
			cbButton = 'Show button',
			cbBorder = 'Show border',
			fldOpen = 'Direction',
			openTop = 'Top',
			openLeft = 'Left',
			openRight = 'Right',
			openBottom = 'Bottom',
			btNewSet = 'Add set',
			btDelSet = 'Remove set',
			helpTitle = 'Help',
			helpLine1 = 'Left click: toggle bar',
			helpLine2 = 'Middle click: open config',
			helpLine3 = 'Right click + drag: move button',	

			souls = {	warrior = 	{	{label = 'Vindicator (PvP)', value = 'ressource/warrior99.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior99.png'}, 
										{label = 'Beastmaster', value = 'ressource/warrior1.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior1.png'}, 
										{label = 'Champion', value = 'ressource/warrior2.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior2.png'}, 
										{label = 'Warlord', value = 'ressource/warrior3.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior3.png'}, 
										{label = 'Paladin', value = 'ressource/warrior4.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior4.png'}, 
										{label = 'Paragon', value = 'ressource/warrior5.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior5.png'}, 
										{label = 'Reaver', value = 'ressource/warrior6.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior6.png'}, 
										{label = 'Riftblade', value = 'ressource/warrior7.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior7.png'}, 
										{label = 'Void Knight', value = 'ressource/warrior8.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior8.png'} },
						cleric = 	{	{label = 'Templar (PvP)', value = 'ressource/cleric99.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric99.png'}, 
										{label = 'Warden', value = 'ressource/cleric1.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric1.png'}, 
										{label = 'Druid', value = 'ressource/cleric2.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric2.png'}, 
										{label = 'Inquisitor', value = 'ressource/cleric3.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric3.png'}, 
										{label = 'Cabalist', value = 'ressource/cleric4.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric4.png'}, 
										{label = 'Purifier', value = 'ressource/cleric5.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric5.png'}, 
										{label = 'Justicar', value = 'ressource/cleric6.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric6.png'}, 
										{label = 'Shaman', value = 'ressource/cleric7.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric7.png'}, 
										{label = 'Sentinel', value = 'ressource/cleric8.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric8.png'} },
						mage = 		{	{label = 'Archmage (PvP)', value = 'ressource/mage99.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage99.png'}, 
										{label = 'Archon', value = 'ressource/mage1.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage1.png'}, 
										{label = 'Dominator', value = 'ressource/mage2.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage2.png'}, 
										{label = 'Chloromancer', value = 'ressource/mage3.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage3.png'}, 
										{label = 'Elementalist', value = 'ressource/mage4.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage4.png'}, 
										{label = 'Warlock', value = 'ressource/mage5.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage5.png'}, 
										{label = 'Necromancer', value = 'ressource/mage6.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage6.png'}, 
										{label = 'Pyromancer', value = 'ressource/mage7.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage7.png'}, 
										{label = 'Stormcaller', value = 'ressource/mage8.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage8.png'} },
						rogue = 	{	{label = 'Infiltrator (PvP)', value = 'ressource/rogue99.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue99.png'}, 
										{label = 'Assassin', value = 'ressource/rogue1.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue1.png'}, 
										{label = 'Bard', value = 'ressource/rogue2.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue2.png'}, 
										{label = 'Bladedancer', value = 'ressource/rogue3.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue3.png'}, 
										{label = 'Nightblade', value = 'ressource/rogue4.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue4.png'}, 
										{label = 'Riftstalker', value = 'ressource/rogue5.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue5.png'}, 
										{label = 'Saboteur', value = 'ressource/rogue6.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue6.png'}, 
										{label = 'Marksman', value = 'ressource/rogue7.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue7.png'}, 
										{label = 'Ranger', value = 'ressource/rogue8.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue8.png'} }
					},
			btWearEquip = 'equip items',
			btGetFromBank = 'get from bank',
			btPutToBank = 'put on bank',
			btAddSet = 'add set',
			btRemoveSet = 'delete set',
			btCopySet = 'copy set',
			txtCopiedSet = 'copy of  %s',
			btLoadFromEquip = 'save equip',
			errDialogTitle = 'Error',
			errLastSet = 'The last set cannot be deleted!',
			msgRemoveSetConfirm = 'Are you sure you want to delete the set?',
			msgLoadCurrentEquip = 'Do you want to load the current equip into\n the current set?',
			fldStoreInBag = 'put into bag',
			fldStoreInBank = 'put into bank slot',
			mainBankSlot = 'Main bank slot',
			txtBag = 'Bag %d',
			txtBank = 'Bank slot %d',
			equipTooltip = 'Left click: switch',
			errItemNotFound = 'Cannot find item for slot\n%s\nRemoving item from set!',
			errMovingItem = 'item %s could not be moved!',
			errEquippingItem = 'item %s for slot %s could not be equipped!',
			msgFinishMove = 'finished equipping / moving items',
			errGettingItem = 'cannot access or find %s',
			commandSetRefuse = "%d is not a valid value. Please use 1-%d", 
			fldKASetMain = 'Karuul Alert set',
			fldKASetSub = 'Karuul Alert sub',
			deactivated = 'deactivated',
			kaSet = 'Set %d',
			btReload = 'reload ui',
			btConfig = 'configuration',
			settingsBasic = 'settings',
			settingsButton = 'Button bar',
			msgDialogTitle = 'Info',
		}
		
	nkRWardrobe.langTexts.tooltip = {
			txtDPS = 'DPS',
			txtArmor = 'Armor',
			fldEndurance = 'Endurance',
			fldAgility = 'Dexterity',
			fldAttackPower = 'Attack Power',
			fldCrit = 'Crit',
			fldStrength = 'Strength',
			fldHit = 'Hit',
			fldIntelligence = 'Intelligence',
			fldSpellPower = 'Spell Power',
			fldSpellCrit = 'Spell Crit',
			fldWisdom = 'Wisdom',
			fldFocus = 'Focus',
			fldDodge = 'Dodge',
			fldToughness = 'Toughness',
			fldParry = 'Parry',
			fldBlock = 'Block',
			txtResiA = "Air resistance",
			txtResiE = "Earth resistance",
			txtResiD = "Death resistance",
			txtResiW = "Water resistance",
			txtResiL = "Life resistance",
			txtResiF = "Fire resistance",
			txtOnUse = 'Use',
			txtOnEquip = 'Equip',
			txtFactionLine = '%s: %s',
			selBelt = 'Belt',
			selChest = 'Chest',
			selFeet = 'Feet',
			selGloves = 'Gloves',
			selEssenceLesser = 'Essence lesser',
			selEssenceGreater = 'Essence greater',
			selNeck = 'Neck',
			selRing = 'Ring',
			selMainhand = 'Mainhand',
			selOneHand = '1h weapon',
			selTwoHand = '2h weapon',
			selStaff = 'Staff',
			selOffhand = 'Offhand',
			selHelmet = 'Helmet',
			selShoulders = 'Shoulders',
			selRanged = 'Ranged',
			selWand = 'Wand',
			selShield = 'Shield',
			selLegs = 'Legs',
			selTrinket = 'Trinket',
			txtPlate = 'Plate',
			txtLeather = 'Leather',
			txtChain = 'Chain',
			txtCloth = 'Cloth',
			txtHammer = 'Hammer',
			txtAxe = 'Axe',
			txtSword = 'Sword',
			txtGun = 'Gun',
			txtMace = 'Mace',
			txtBow = 'Bow',
			txtDagger = 'Dagger',
			txtPolearm = 'Polearm'
	}
	
	nkRWardrobe.langTexts.itemTypeTranslation = { ['twohanded:staff'] = nkRWardrobe.langTexts.tooltip.selStaff, ['twohanded:hammer'] = nkRWardrobe.langTexts.tooltip.selTwoHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtHammer, ['twohanded:polearm'] = nkRWardrobe.langTexts.tooltip.selTwoHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPolearm, ['twohanded:sword'] = nkRWardrobe.langTexts.tooltip.selTwoHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtSword, ['twohanded:axe'] = nkRWardrobe.langTexts.tooltip.selTwoHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtAxe, ['twohanded:mace'] = nkRWardrobe.langTexts.tooltip.selTwoHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtMace, 
											['essence:lesser'] = nkRWardrobe.langTexts.tooltip.selEssenceLesser, ['essence:greater'] = nkRWardrobe.langTexts.tooltip.selEssenceGreater, 
											['mainhand:sword'] = nkRWardrobe.langTexts.tooltip.selMainhand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtSword, ['mainhand:mace'] = nkRWardrobe.langTexts.tooltip.selMainhand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtMace,
											['onehanded:axe'] = nkRWardrobe.langTexts.tooltip.selOneHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtAxe, ['onehanded:sword'] = nkRWardrobe.langTexts.tooltip.selOneHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtSword, ['onehanded:mace'] = nkRWardrobe.langTexts.tooltip.selOneHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtMace, ['onehanded:dagger'] = nkRWardrobe.langTexts.tooltip.selOneHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtDagger, 
											['ranged:wand_life'] = nkRWardrobe.langTexts.tooltip.selWand, ['ranged:wand_air'] = nkRWardrobe.langTexts.tooltip.selWand, ['ranged:wand_fire'] = nkRWardrobe.langTexts.tooltip.selWand, ['ranged:wand_water'] = nkRWardrobe.langTexts.tooltip.selWand, ['ranged:wand_earth'] = nkRWardrobe.langTexts.tooltip.selWand, ['ranged:wand'] = nkRWardrobe.langTexts.tooltip.selWand, 
											['ranged:gun'] = nkRWardrobe.langTexts.tooltip.txtGun, ['ranged:bow'] = nkRWardrobe.langTexts.tooltip.txtBow,
											['helmet:plate'] = nkRWardrobe.langTexts.tooltip.selHelmet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['helmet:chain'] = nkRWardrobe.langTexts.tooltip.selHelmet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['helmet:leather'] = nkRWardrobe.langTexts.tooltip.selHelmet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['helmet:cloth'] = nkRWardrobe.langTexts.tooltip.selHelmet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth,
											['shoulders:plate'] = nkRWardrobe.langTexts.tooltip.selShoulders .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['shoulders:chain'] = nkRWardrobe.langTexts.tooltip.selShoulders .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['shoulders:leather'] = nkRWardrobe.langTexts.tooltip.selShoulders .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['shoulders:cloth'] = nkRWardrobe.langTexts.tooltip.selShoulders .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth,
											['chest:plate'] = nkRWardrobe.langTexts.tooltip.selChest .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['chest:chain'] = nkRWardrobe.langTexts.tooltip.selChest .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['chest:leather'] = nkRWardrobe.langTexts.tooltip.selChest .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['chest:cloth'] = nkRWardrobe.langTexts.tooltip.selChest .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth, 
											['gloves:plate'] = nkRWardrobe.langTexts.tooltip.selGloves .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['gloves:chain'] = nkRWardrobe.langTexts.tooltip.selGloves .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['gloves:leather'] = nkRWardrobe.langTexts.tooltip.selGloves .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['gloves:cloth'] = nkRWardrobe.langTexts.tooltip.selGloves .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth,
											['belt:plate'] = nkRWardrobe.langTexts.tooltip.selBelt .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['belt:chain'] = nkRWardrobe.langTexts.tooltip.selBelt .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['belt:leather'] = nkRWardrobe.langTexts.tooltip.selBelt .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['belt:cloth'] = nkRWardrobe.langTexts.tooltip.selBelt .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth,
											['legs:plate'] = nkRWardrobe.langTexts.tooltip.selLegs .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['legs:chain'] = nkRWardrobe.langTexts.tooltip.selLegs .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['legs:leather'] = nkRWardrobe.langTexts.tooltip.selLegs .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['legs:cloth'] = nkRWardrobe.langTexts.tooltip.selLegs .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth,
											['feet:plate'] = nkRWardrobe.langTexts.tooltip.selFeet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['feet:chain'] = nkRWardrobe.langTexts.tooltip.selFeet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['feet:leather'] = nkRWardrobe.langTexts.tooltip.selFeet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['feet:cloth'] = nkRWardrobe.langTexts.tooltip.selFeet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth, 
											['ring:items'] = nkRWardrobe.langTexts.tooltip.selRing, ['offhand:items'] = nkRWardrobe.langTexts.tooltip.selOffhand, ['neck:items'] = nkRWardrobe.langTexts.tooltip.selNeck, ['shield:items'] = nkRWardrobe.langTexts.tooltip.selShield, ['trinket:items'] = nkRWardrobe.langTexts.tooltip.selTrinket											
										}
	
	nkRWardrobe.langTexts.langFactionLevel = {'Friendly', 'Decorated', 'Honored', 'Revered', 'Glorified'}
	
	nkRWardrobe.langTexts.about = {
		addonName = '%s',
		version = 'Version %s',
		writtenBy = 'Written by Naifu / Defiant / Bruttmutter (EU)',
		copyright = '(C) 2011-2013 Naifu - All Rights Reserved',
		donate1 = 'If you like this addon you can send a paypal donation',
		donate2 = 'at the account naifukishi@gmail.com',
		twitter = 'Follow me on Twitter #NaifuKishi',
		russian = 'Russian translation by Loufeer (RU)',
		french = 'French translation by Ralaodor (EU)'
	}


end