﻿local nkRWardrobeInfo, nkRWardrobe = ...

if nkTools.lang.getLanguage() == "French" then
 
	nkRWardrobe.langTexts = {
			msgChoose = '- Please choose -',
			btYes = "Yes",
			btNo = "No",
			partOfSets = 'Part of set(s): ',
			roleNon = 'change pas',
			setLabel = 'nome du set',
			buttonMenuConfig = 'configuration',
			loadSet = 'charge %s',
			saveSet = 'sauve %s',
			msgLoaded = "version %s chargé",
			set = 'Set %d',
			txtHeader = '%s version %s',
			btClose = 'fermer',
			btDonate = 'donner',
			tabHeader1 = 'Configuration',
			tabHeader2 = 'Barre de boutons',
			tabHeader3 = 'A propos',
			gridHeader = 'configuration',
			fldSetName = 'Nom',
			txtRole = 'Rôle %d',
			txtEquipment = 'Set %d',
			fldEquipment = 'Equipement',
			fldRole = 'Rôle',
			fldIcon = 'Icône',
			fldRebuff = 'nkRebuff',
			slScale = 'Echelle %d%%',
			cbButton = 'Montrer bouton',
			cbBorder = 'Montrer les bords',
			fldOpen = 'Direction',
			openTop = 'En haut',
			openLeft = 'A gauche',
			openRight = 'A droite',
			openBottom = 'En bas',
			btNewSet = 'ajouter',
			btDelSet = 'enlever',
			helpTitle = 'Aide',
			helpLine1 = 'Clic gauche : afficher la barre',
			helpLine2 = 'Clic milieu : ouvrir config',
			helpLine3 = 'Clic droit pour déplacer',			

			souls = {	warrior = 	{	{label = 'Vengeur (PvP)', value = 'ressource/warrior99.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior99.png'}, 
										{label = 'Dompteur', value = 'ressource/warrior1.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior1.png'}, 
										{label = 'Champion', value = 'ressource/warrior2.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior2.png'}, 
										{label = 'Maitre de guerre', value = 'ressource/warrior3.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior3.png'}, 
										{label = 'Paladin', value = 'ressource/warrior4.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior4.png'}, 
										{label = 'Parangon', value = 'ressource/warrior5.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior5.png'}, 
										{label = 'Saccageur', value = 'ressource/warrior6.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior6.png'}, 
										{label = 'Saigneur des Failles', value = 'ressource/warrior7.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior7.png'}, 
										{label = 'Chevalier du Néant', value = 'ressource/warrior8.png', iconType = 'nkRWardrobe', iconPath = 'ressource/warrior8.png'} },
						cleric = 	{	{label = 'Templier (PvP)', value = 'ressource/cleric99.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric99.png'}, 
										{label = 'Protecteur', value = 'ressource/cleric1.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric1.png'}, 
										{label = 'Druide', value = 'ressource/cleric2.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric2.png'}, 
										{label = 'Inquisiteur', value = 'ressource/cleric3.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric3.png'}, 
										{label = 'Cabaliste', value = 'ressource/cleric4.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric4.png'}, 
										{label = 'Purificateur', value = 'ressource/cleric5.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric5.png'}, 
										{label = 'Justicier', value = 'ressource/cleric6.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric6.png'}, 
										{label = 'Chamane', value = 'ressource/cleric7.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric7.png'}, 
										{label = 'Sentinelle', value = 'ressource/cleric8.png', iconType = 'nkRWardrobe', iconPath = 'ressource/cleric8.png'} },
						mage = 		{	{label = 'Archimage (PvP)', value = 'ressource/mage99.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage99.png'}, 
										{label = 'Archonte', value = 'ressource/mage1.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage1.png'}, 
										{label = 'Dominateur', value = 'ressource/mage2.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage2.png'}, 
										{label = 'Chloromancien', value = 'ressource/mage3.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage3.png'}, 
										{label = 'Elémentaliste', value = 'ressource/mage4.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage4.png'}, 
										{label = 'Anathema', value = 'ressource/mage5.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage5.png'}, 
										{label = 'Nécromancien', value = 'ressource/mage6.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage6.png'}, 
										{label = 'Pyromancien', value = 'ressource/mage7.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage7.png'}, 
										{label = 'Tempestaire', value = 'ressource/mage8.png', iconType = 'nkRWardrobe', iconPath = 'ressource/mage8.png'} },
						rogue = 	{	{label = 'Infiltrateur (PvP)', value = 'ressource/rogue99.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue99.png'}, 
										{label = 'Assassin', value = 'ressource/rogue1.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue1.png'}, 
										{label = 'Barde', value = 'ressource/rogue2.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue2.png'}, 
										{label = 'Danselame', value = 'ressource/rogue3.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue3.png'}, 
										{label = 'Lamenoire', value = 'ressource/rogue4.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue4.png'}, 
										{label = 'Traqueur des Failles', value = 'ressource/rogue5.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue5.png'}, 
										{label = 'Saboteur', value = 'ressource/rogue6.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue6.png'}, 
										{label = 'Tireur d\'élite', value = 'ressource/rogue7.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue7.png'}, 
										{label = 'Rôdeur', value = 'ressource/rogue8.png', iconType = 'nkRWardrobe', iconPath = 'ressource/rogue8.png'} }
					},

			btWearEquip = 'équiper',
			btGetFromBank = 'retirer',
			btPutToBank = 'déposer',
			btAddSet = 'ajouter',
			btRemoveSet = 'supprimer',
			btCopySet = 'copier',
			txtCopiedSet = 'copier de  %s',
			btLoadFromEquip = 'sauver',
			errDialogTitle = 'Erreur',
			errLastSet = 'Le dernier set ne peut être supprimé !',
			msgRemoveSetConfirm = 'Etes-vous sûr de vouloir le supprimer ?',
			msgLoadCurrentEquip = 'Voulez-vous charger l\'équipement courant dans le set courant ?',
			fldStoreInBag = 'mettre dans le sac',
			fldStoreInBank = 'mettre en banque',
			mainBankSlot = 'Banque slot principal',
			txtBag = 'Sac %d',
			txtBank = 'Banque slot %d',
			equipTooltip = 'Clic gauche : changer',
			errItemNotFound = 'Aucun item trouvé pour le slot\n%s\nRetrait de l\'item du set !',
			errMovingItem = 'item %s n\'a pas pu être déplacé !',
			errEquippingItem = 'item %s pour le slot %s n\'a pas pu être équipé !',
			msgFinishMove = 'fini d\'équiper / déplacer les items',
			errGettingItem = 'ne peut accéder ou trouver %s',
			commandSetRefuse = "%d est invalide. Utilisez 1-%d", 
			fldKASetMain = 'Karuul Alert set',
			fldKASetSub = 'Karuul Alert sub',
			deactivated = 'désactivé',
			kaSet = 'Set %d',
			btReload = 'reload ui',
			btConfig = 'configuration',
			settingsBasic = 'paramètres',
			settingsButton = 'Barre de boutons',
			msgDialogTitle = 'Info',
		}
		
	nkRWardrobe.langTexts.tooltip = {
			txtDPS = 'DPS ',
			txtArmor = 'Armure ',
			fldEndurance = 'Endurance',
			fldAgility = 'Dextérité',
			fldAttackPower = 'Puissance d\'attaque',
			fldCrit = 'Coup critique',
			fldStrength = 'Force',
			fldHit = 'Précision',
			fldIntelligence = 'Intelligence',
			fldSpellPower = 'Puissance des sorts',
			fldSpellCrit = 'Sort critique',
			fldWisdom = 'Sagesse',
			fldFocus = 'Concentration',
			fldDodge = 'Esquive',
			fldToughness = 'Robustesse',
			fldParry = 'Parade',
			fldBlock = 'Blocage',
			txtResiA = "Résistance aux dégâts d'Air",
			txtResiE = "Résistance aux dégâts de Terre",
			txtResiD = "Résistance à la Mort",
			txtResiW = "Résistance aux dégâts d'Eau",
			txtResiL = "Résistance aux dégâts de Vie",
			txtResiF = "Résistance aux dégâts de Feu",
			txtOnUse = 'Utilisation ',
			txtOnEquip = 'Equiper ',
			txtFactionLine = '%s : %s',
			selBelt = 'Taille',
			selChest = 'Torse',
			selFeet = 'Pieds',
			selGloves = 'Mains',
			selEssenceLesser = 'Essence inférieure',
			selEssenceGreater = 'Essence supérieure',
			selNeck = 'Cou',
			selRing = 'Anneau',
			selMainhand = 'Main principale',
			selOneHand = 'Une main',
			selTwoHand = 'A deux mains',
			selStaff = 'Bâton',
			selOffhand = 'Main secondaire',
			selHelmet = 'Tête',
			selShoulders = 'Epaules',
			selRanged = 'A distance',
			selWand = 'Baguette',
			selShield = 'Bouclier',
			selLegs = 'Jambes',
			selTrinket = 'Talisman',
			txtPlate = 'Plate',
			txtLeather = 'Cuir',
			txtChain = 'Maille',
			txtCloth = 'Etoffe',
			txtHammer = 'Marteau',
			txtAxe = 'Hache',
			txtSword = 'Epée',
			txtGun = 'Arme à feu',
			txtMace = 'Masse',
			txtBow = 'Arc',
			txtDagger = 'Dague',
			txtPolearm = 'Arme d\'hast'
	}
	
	nkRWardrobe.langTexts.itemTypeTranslation = { ['twohanded:staff'] = nkRWardrobe.langTexts.tooltip.selStaff, ['twohanded:hammer'] = nkRWardrobe.langTexts.tooltip.selTwoHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtHammer, ['twohanded:polearm'] = nkRWardrobe.langTexts.tooltip.selTwoHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPolearm, ['twohanded:sword'] = nkRWardrobe.langTexts.tooltip.selTwoHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtSword, ['twohanded:axe'] = nkRWardrobe.langTexts.tooltip.selTwoHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtAxe, ['twohanded:mace'] = nkRWardrobe.langTexts.tooltip.selTwoHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtMace, 
											['essence:lesser'] = nkRWardrobe.langTexts.tooltip.selEssenceLesser, ['essence:greater'] = nkRWardrobe.langTexts.tooltip.selEssenceGreater, 
											['mainhand:sword'] = nkRWardrobe.langTexts.tooltip.selMainhand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtSword, ['mainhand:mace'] = nkRWardrobe.langTexts.tooltip.selMainhand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtMace,
											['onehanded:axe'] = nkRWardrobe.langTexts.tooltip.selOneHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtAxe, ['onehanded:sword'] = nkRWardrobe.langTexts.tooltip.selOneHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtSword, ['onehanded:mace'] = nkRWardrobe.langTexts.tooltip.selOneHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtMace, ['onehanded:dagger'] = nkRWardrobe.langTexts.tooltip.selOneHand .. ' ' .. nkRWardrobe.langTexts.tooltip.txtDagger, 
											['ranged:wand_life'] = nkRWardrobe.langTexts.tooltip.selWand, ['ranged:wand_air'] = nkRWardrobe.langTexts.tooltip.selWand, ['ranged:wand_fire'] = nkRWardrobe.langTexts.tooltip.selWand, ['ranged:wand_water'] = nkRWardrobe.langTexts.tooltip.selWand, ['ranged:wand_earth'] = nkRWardrobe.langTexts.tooltip.selWand, ['ranged:wand'] = nkRWardrobe.langTexts.tooltip.selWand, 
											['ranged:gun'] = nkRWardrobe.langTexts.tooltip.txtGun, ['ranged:bow'] = nkRWardrobe.langTexts.tooltip.txtBow,
											['helmet:plate'] = nkRWardrobe.langTexts.tooltip.selHelmet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['helmet:chain'] = nkRWardrobe.langTexts.tooltip.selHelmet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['helmet:leather'] = nkRWardrobe.langTexts.tooltip.selHelmet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['helmet:cloth'] = nkRWardrobe.langTexts.tooltip.selHelmet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth,
											['shoulders:plate'] = nkRWardrobe.langTexts.tooltip.selShoulders .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['shoulders:chain'] = nkRWardrobe.langTexts.tooltip.selShoulders .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['shoulders:leather'] = nkRWardrobe.langTexts.tooltip.selShoulders .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['shoulders:cloth'] = nkRWardrobe.langTexts.tooltip.selShoulders .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth,
											['chest:plate'] = nkRWardrobe.langTexts.tooltip.selChest .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['chest:chain'] = nkRWardrobe.langTexts.tooltip.selChest .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['chest:leather'] = nkRWardrobe.langTexts.tooltip.selChest .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['chest:cloth'] = nkRWardrobe.langTexts.tooltip.selChest .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth, 
											['gloves:plate'] = nkRWardrobe.langTexts.tooltip.selGloves .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['gloves:chain'] = nkRWardrobe.langTexts.tooltip.selGloves .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['gloves:leather'] = nkRWardrobe.langTexts.tooltip.selGloves .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['gloves:cloth'] = nkRWardrobe.langTexts.tooltip.selGloves .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth,
											['belt:plate'] = nkRWardrobe.langTexts.tooltip.selBelt .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['belt:chain'] = nkRWardrobe.langTexts.tooltip.selBelt .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['belt:leather'] = nkRWardrobe.langTexts.tooltip.selBelt .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['belt:cloth'] = nkRWardrobe.langTexts.tooltip.selBelt .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth,
											['legs:plate'] = nkRWardrobe.langTexts.tooltip.selLegs .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['legs:chain'] = nkRWardrobe.langTexts.tooltip.selLegs .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['legs:leather'] = nkRWardrobe.langTexts.tooltip.selLegs .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['legs:cloth'] = nkRWardrobe.langTexts.tooltip.selLegs .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth,
											['feet:plate'] = nkRWardrobe.langTexts.tooltip.selFeet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtPlate, ['feet:chain'] = nkRWardrobe.langTexts.tooltip.selFeet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtChain, ['feet:leather'] = nkRWardrobe.langTexts.tooltip.selFeet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtLeather, ['feet:cloth'] = nkRWardrobe.langTexts.tooltip.selFeet .. ' ' .. nkRWardrobe.langTexts.tooltip.txtCloth, 
											['ring:items'] = nkRWardrobe.langTexts.tooltip.selRing, ['offhand:items'] = nkRWardrobe.langTexts.tooltip.selOffhand, ['neck:items'] = nkRWardrobe.langTexts.tooltip.selNeck, ['shield:items'] = nkRWardrobe.langTexts.tooltip.selShield, ['trinket:items'] = nkRWardrobe.langTexts.tooltip.selTrinket											
										}
	
	nkRWardrobe.langTexts.langFactionLevel = {'Amical', 'Décoré', 'Estimé', 'Révéré', 'Glorifié'}
	
	nkRWardrobe.langTexts.about = {
		addonName = '%s',
		version = 'Version %s',
		writtenBy = 'Ecrit par Naifu / Defiant / Bruttmutter (EU)',
		copyright = '(C) 2011-2013 Naifu - Tous droits réservés',
		donate1 = 'Si vous aimez cet addon vous pouvez envoyer un don Paypal',
		donate2 = 'au compte naifukishi@gmail.com',
		twitter = 'Suivez-moi sur Twitter #NaifuKishi',
		russian = 'Traduction russe par Loufeer (RU)',
		french = 'Traduction française par Ralaodor (EU)'
	}


end